Imports IntraSell_DLL
Imports IntraSell_Net_Base

Public Class AdresseWeitere

    ReadOnly Property ID As Integer
        Get
            Return Ofadressen_weitereBindingSource.Current.Row.ID
        End Get
    End Property

    Private Sub Form_Verlassen() Handles MyBase.Verlassen
        Me.Close()
    End Sub

    Private Sub Ofadressen_weitereBindingNavigatorSaveItem_Click(sender As Object, e As System.EventArgs) Handles MyBase.Save
        Try
            Validate()
            Ofadressen_weitereBindingSource.EndEdit()
            TableAdapterManager.UpdateAll(DsAdressen)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    ''' <summary>
    ''' Alle weitere Adressen für Kunden Laden
    ''' </summary>
    ''' <param name="IDNR"></param>
    ''' <remarks></remarks>
    Sub LoadData(IDNR As Integer)
        Try
            OfAdressenTableAdapter.FillByIDNR(DsAdressen.ofadressen, IDNR)
            Ofadressen_weitereTableAdapter.FillByIDNR(DsAdressen._ofadressen_weitere, IDNR)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    ''' <summary>
    ''' Eine weitere adresse laden
    ''' </summary>
    ''' <param name="IDNR"></param>
    ''' <param name="ID"></param>
    ''' <remarks></remarks>
    Sub LoadDataByID(IDNR As Integer, ID As Integer)
        Try
            OfAdressenTableAdapter.FillByIDNR(DsAdressen.ofadressen, IDNR)
            Ofadressen_weitereTableAdapter.FillById(DsAdressen._ofadressen_weitere, IDNR, ID)
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Public Sub StarteNeueAdresse(IDNR As Integer, VorgangTyp As String)
        Try
            LoadData(IDNR)
            Ofadressen_weitereBindingSource.AddNew()
            Ofadressen_weitereBindingSource.Current.Row.ID = NextId("[ofAdressen-Weitere]", "ID")
            Ofadressen_weitereBindingSource.Current.Row.IDNR = IDNR
            Ofadressen_weitereBindingSource.Current.Row.Typ = VorgangTyp
            Ofadressen_weitereBindingSource.EndEdit()
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub AdresseWeitere_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load
        Try
            'AdressenDetailControl.Init()
            'folgende DAten sind nicht aktiviert für weitere adressen
            AdressenDetailControl.BriefanredeComboBox.Enabled = False
            AdressenDetailControl.StatusComboBox.Enabled = False
            AdressenDetailControl.GeburtstagDateTimePicker.Enabled = False
            AdressenDetailControl.Tel2TextBox.Enabled = False

            FillComboBox(TypComboBox, "SELECT '' as Typ, '' as Bezeichnung union SELECT Typ, Bezeichnung FROM buchVorgangTyp ORDER By Bezeichnung", "Bezeichnung", "Typ")

            ds = DsAdressen
            ParentBindingNavigator.BindingSource = Ofadressen_weitereBindingSource
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

End Class